# addCommentToIssue

Adds a comment to a specific security issue. Useful for team collaboration and tracking discussion about security findings.

### Examples

{% tabs %}
{% tab title="GraphQL" %}

```graphql
mutation AddCommentToIssue($input: addCommentToIssueInput!) {
  addCommentToIssue(input: $input)
}
```

**Variables**

This is an example input showing all available input fields. Only fields marked as required in the schema are mandatory.

```json
{
  "input": {
    "issueId": "30966426-oxPolicy_securityCloudScan_100-example",
    "comment": "some comment"
  }
}
```

{% endtab %}

{% tab title="cURL" %}

```shell
curl -X POST \
https://api.cloud.ox.security/api/apollo-gateway \
-H 'Content-Type: application/json' \
-H 'Authorization: YOUR_API_TOKEN' \
-d '{
 "query": "mutation AddCommentToIssue($input: addCommentToIssueInput!) { addCommentToIssue(input: $input) }",
 "variables": {
    "input": {
      "issueId": "30966426-oxPolicy_securityCloudScan_100-example",
      "comment": "some comment"
    }
  }
}'
```

{% endtab %}

{% tab title="Node.js" %}

```javascript
const query = 'mutation AddCommentToIssue($input: addCommentToIssueInput!) { addCommentToIssue(input: $input) }';

fetch("https://api.cloud.ox.security/api/apollo-gateway", {
  method: "POST",
  headers: {
    "Content-Type": "application/json",
    "Authorization": "YOUR_API_TOKEN"
  },
  body: JSON.stringify({
    query: query,
    // This is an example input showing all available input fields. Only fields marked as required in the schema are mandatory.
    variables: {
      input: {
        issueId: "30966426-oxPolicy_securityCloudScan_100-example",
        comment: "some comment"
      }
    }
  })
})
.then(response => response.json())
.then(result => console.log(JSON.stringify(result, null, 2)))
.catch(error => console.error('Error:', error));
```

{% endtab %}

{% tab title="Python" %}

```python
import requests

query = 'mutation AddCommentToIssue($input: addCommentToIssueInput!) { addCommentToIssue(input: $input) }'

response = requests.post(
  "https://api.cloud.ox.security/api/apollo-gateway",
  headers={
    "Content-Type": "application/json",
    "Authorization": "YOUR_API_TOKEN"
  },
  json={
    "query": query,
    # This is an example input showing all available input fields. Only fields marked as required in the schema are mandatory.
    "variables": {
      "input": {
        "issueId": "30966426-oxPolicy_securityCloudScan_100-example",
        "comment": "some comment"
      }
    }
  }
)

if response.status_code == 200:
    result = response.json()
    print(result)
else:
    print(f"Error: {response.status_code}")
    print(response.text)
```

{% endtab %}
{% endtabs %}

### Arguments

You can use the following argument(s) to customize your `addCommentToIssue` mutation.

| Argument                                                                                                                                                                                | Description                                                       | Supported fields                                                    |
| --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ----------------------------------------------------------------- | ------------------------------------------------------------------- |
| input [`addCommentToIssueInput!`](/api-documentation/api-reference/api--issue/types/inputs/add-comment-to-issue-input.md) <mark style="color:red;background-color:red;">required</mark> | Input containing the issue identifier and the comment text to add | <p>issueId <code>String!</code><br>comment <code>String!</code></p> |

### Fields

Return type: `Boolean`


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ox.security/api-documentation/api-reference/api--issue/mutations/add-comment-to-issue.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
